
//  main.cpp
//  ImageMagick_Test

#include <Magick++.h>
#include <stdio.h>
#include <stdlib.h>
#include <iostream>

using namespace std;
using namespace Magick; 

int main(int argc, const char * argv[]) {
    InitializeMagick(*argv);
    
    // Construct the image object. Seperating image construction from the
    // the read operation ensures that a failure to read the image file
    // doesn't render the image object useless.
    Image image;
    // image.debug(true);
    try {
        // Read a file into image object
        image.read( "logo:" );
        
        // Crop the image to specified size (width, height, xOffset, yOffset)
        image.crop( Geometry(100,100, 100, 100) );
        
        // Write the image to a file
        image.write( "../../../../logo.png" );
    }
    catch( Exception &error_ )
    {
        cout << "Caught exception: " << error_.what() << endl;
        return 1;
    } 
    return 0;
}
